
<mat-form-field class="example-form-field">
    <mat-label>Id</mat-label>
    <input matInput type="text" [(ngModel)]="id" disabled="true">
    
</mat-form-field>
<mat-form-field class="example-form-field">
    <mat-label>Code</mat-label>
    <input matInput type="text" [(ngModel)]="code" disabled="true">
    
</mat-form-field>

<mat-form-field class="example-form-field">
    <mat-label>Code</mat-label>
    <input matInput type="text" [(ngModel)]="customer" disabled="true">
    
</mat-form-field>

<mat-form-field class="example-form-field">
    <mat-label>Description</mat-label>
    <input matInput type="text" [(ngModel)]="description">
    <button mat-button matSuffix mat-icon-button aria-label="Clear" (click)="description=''">
        <mat-icon>close</mat-icon>
    </button>
</mat-form-field>
<button mat-raised-button color="accent" (click)="updateActivity()"  [disabled]="(loading$  | async)">Save</button>
<button mat-raised-button color="primary" (click)="back()" [disabled]="(loading$  | async)">BACK</button>
<p *ngIf="(loading$  | async)">{{loadingText}}...
    <mat-progress-spinner *ngIf="(loading$  | async)" class="example-margin" [color]="'primary'" 
    [mode]="'indeterminate'" diameter="20"></mat-progress-spinner>
    </p>
